Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.template.style.validation.model.provider
Class ValidationStylePropertyItemProvider

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterImpl
          org.eclipse.emf.edit.provider.ItemProviderAdapter
              org.eclipse.emf.ecp.view.template.style.validation.model.provider.ValidationStylePropertyItemProvider

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Adapter, org.eclipse.emf.common.notify.Adapter.Internal, org.eclipse.emf.common.util.ResourceLocator, org.eclipse.emf.edit.command.CreateChildCommand.Helper, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable, org.eclipse.emf.edit.provider.IEditingDomainItemProvider, org.eclipse.emf.edit.provider.IItemLabelProvider, org.eclipse.emf.edit.provider.IItemPropertySource, org.eclipse.emf.edit.provider.IStructuredItemContentProvider, org.eclipse.emf.edit.provider.ITreeItemContentProvider

    public class ValidationStylePropertyItemProvider

extends org.eclipse.emf.edit.provider.ItemProviderAdapter
implements org.eclipse.emf.edit.provider.IEditingDomainItemProvider, org.eclipse.emf.edit.provider.IStructuredItemContentProvider, org.eclipse.emf.edit.provider.ITreeItemContentProvider, org.eclipse.emf.edit.provider.IItemLabelProvider, org.eclipse.emf.edit.provider.IItemPropertySource

This is the item provider adapter for a `VTValidationStyleProperty` object.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommand, org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate`

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`org.eclipse.emf.common.notify.Adapter.Internal`

Constructor Summary
`ValidationStylePropertyItemProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)` This constructs an instance from a factory and a notifier.

Method Summary
`Object` | `getImage(Object object)` This returns ValidationStyleProperty.gif.
`List<org.eclipse.emf.edit.provider.IItemPropertyDescriptor>` | `getPropertyDescriptors(Object object)` This returns the property descriptors for the adapted class.
`org.eclipse.emf.common.util.ResourceLocator` | `getResourceLocator()` Return the resource locator for this item provider's resources.
`String` | `getText(Object object)` This returns the label text for the adapted class.
`void` | `notifyChanged(org.eclipse.emf.common.notify.Notification notification)` This handles model notifications by calling `ItemProviderAdapter.updateChildren(org.eclipse.emf.common.notify.Notification)` to update any cached children and by creating a viewer notification, which it passes to `ItemProviderAdapter.fireNotifyChanged(org.eclipse.emf.common.notify.Notification)`.

Methods inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`addListener, createCommand, crop, dispose, fireNotifyChanged, getAdapterFactory, getBackground, getBackground, getBaseURL, getChildren, getColumnImage, getColumnText, getCreateChildDescription, getCreateChildImage, getCreateChildResult, getCreateChildText, getCreateChildToolTipText, getEditableValue, getElements, getFont, getFont, getForeground, getForeground, getImage, getNewChildDescriptors, getParent, getPropertyDescriptor, getPropertyValue, getString, getString, getString, getString, getStyledText, getUpdateableText, hasChildren, isAdapterForType, isPropertySet, removeListener, resetPropertyValue, setPropertyValue, setTarget, unsetTarget`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`getTarget`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.edit.provider.IEditingDomainItemProvider
`createCommand, getChildren, getNewChildDescriptors, getParent`

Methods inherited from interface org.eclipse.emf.edit.provider.ITreeItemContentProvider
`getChildren, getParent, hasChildren`

Methods inherited from interface org.eclipse.emf.edit.provider.IStructuredItemContentProvider
`getElements`

Methods inherited from interface org.eclipse.emf.edit.provider.IItemPropertySource
`getEditableValue, getPropertyDescriptor`

Constructor Detail

### ValidationStylePropertyItemProvider

    public ValidationStylePropertyItemProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)

  This constructs an instance from a factory and a notifier.

Method Detail

### getPropertyDescriptors

    public List<org.eclipse.emf.edit.provider.IItemPropertyDescriptor> getPropertyDescriptors(Object object)

  This returns the property descriptors for the adapted class.

  Specified by:
    `getPropertyDescriptors` in interface `org.eclipse.emf.edit.provider.IItemPropertySource`
  Overrides:
    `getPropertyDescriptors` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### getImage

    public Object getImage(Object object)

  This returns ValidationStyleProperty.gif.

  Specified by:
    `getImage` in interface `org.eclipse.emf.edit.provider.IItemLabelProvider`
  Overrides:
    `getImage` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### getText

    public String getText(Object object)

  This returns the label text for the adapted class.

  Specified by:
    `getText` in interface `org.eclipse.emf.edit.provider.IItemLabelProvider`
  Overrides:
    `getText` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### notifyChanged

    public void notifyChanged(org.eclipse.emf.common.notify.Notification notification)

  This handles model notifications by calling `ItemProviderAdapter.updateChildren(org.eclipse.emf.common.notify.Notification)` to update any cached children and by creating a viewer notification, which it passes to `ItemProviderAdapter.fireNotifyChanged(org.eclipse.emf.common.notify.Notification)`.

  Specified by:
    `notifyChanged` in interface `org.eclipse.emf.common.notify.Adapter`
  Overrides:
    `notifyChanged` in class `org.eclipse.emf.common.notify.impl.AdapterImpl`

### getResourceLocator

    public org.eclipse.emf.common.util.ResourceLocator getResourceLocator()

  Return the resource locator for this item provider's resources.

  Overrides:
    `getResourceLocator` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.